Bug 198481 - Add -O option to pax(1)
Summary: Add -O option to pax(1)
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Many People
Assignee: Eitan Adler
URL:
Keywords: feature, patch
Depends on:
Blocks:
 
Reported: 2015-03-10 02:42 UTC by Sevan Janiyan
Modified: 2015-04-17 18:43 UTC (History)
1 user (show)

See Also:
eadler: mfc-stable8-
eadler: mfc-stable9-
eadler: mfc-stable10+


Attachments
Implement -O option in pax(1) (4.88 KB, text/plain)
2015-03-10 02:44 UTC, Sevan Janiyan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sevan Janiyan 2015-03-10 02:42:57 UTC
Attached diff adds support for the -O option to pax(1)

"-O Force the archive to be one volume.  If a volume ends prematurely, pax will not prompt for a new volume."

Taken from NetBSD with hints from OpenBSD.
Comment 1 Sevan Janiyan 2015-03-10 02:44:35 UTC
Created attachment 154120 [details]
Implement -O option in pax(1)
Comment 2 Benjamin Kaduk freebsd_committer 2015-03-17 21:55:47 UTC
The whitespace change for the declaration of zpid need not, strictly speaking, be a part of this change.

Man page style dictates that each sentence should start on a new line.
Comment 3 commit-hook freebsd_committer 2015-03-18 05:48:51 UTC
A commit references this bug:

Author: eadler
Date: Wed Mar 18 05:48:08 UTC 2015
New revision: 280206
URL: https://svnweb.freebsd.org/changeset/base/280206

Log:
  Implement pax -O option to permit limiting a PAX archive to a single volume.

  -O Force the archive to be one volume.  If a volume ends prematurely, pax will
  not prompt for a new volume.

  PR:		198481
  Submitted by:	Sevan Janiyan
  Reviewed by:	allanjude (doc)

Changes:
  head/bin/pax/ar_io.c
  head/bin/pax/extern.h
  head/bin/pax/options.c
  head/bin/pax/pax.1
  head/bin/pax/pax.c
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2015-03-18 11:58:23 UTC
Assign to person who committed
Comment 5 commit-hook freebsd_committer 2015-04-17 18:34:10 UTC
A commit references this bug:

Author: eadler
Date: Fri Apr 17 18:34:00 UTC 2015
New revision: 281661
URL: https://svnweb.freebsd.org/changeset/base/281661

Log:
  MFC r280206:

  Implement pax -O option to permit limiting a PAX archive to a single volume.

  -O Force the archive to be one volume.  If a volume ends prematurely, pax will
  not prompt for a new volume.

  PR:		198481

Changes:
_U  stable/10/
  stable/10/bin/pax/ar_io.c
  stable/10/bin/pax/extern.h
  stable/10/bin/pax/options.c
  stable/10/bin/pax/pax.c
Comment 6 Eitan Adler freebsd_committer freebsd_triage 2015-04-17 18:43:46 UTC
committed and MFCed to 10.  This means it will appear in the next 10.x release but not in 8.x or 9.x